org.eclipse.rdf4j.query.parser.sparql.manifest

## Class SPARQL11SyntaxComplianceTest

- java.lang.Object
- - org.eclipse.rdf4j.query.parser.sparql.manifest.SPARQLComplianceTest
  - - org.eclipse.rdf4j.query.parser.sparql.manifest.SPARQLSyntaxComplianceTest
    - - org.eclipse.rdf4j.query.parser.sparql.manifest.SPARQL11SyntaxComplianceTest

-     public abstract class SPARQL11SyntaxComplianceTest
      extends SPARQLSyntaxComplianceTest

  A test suite that runs the W3C Approved SPARQL 1.1 Syntax tests.
  Author:
    Jeen Broekstra
  See Also:
    `https://www.w3.org/2009/sparql/docs/tests/`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SPARQL11SyntaxComplianceTest(String displayName, String testURI, String name, String queryFileURL, boolean positiveTest)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Collection<Object[]>` | `data()`
    `protected Repository` | `getDataRepository()`
    `protected abstract ParsedOperation` | `parseOperation(String operation, String fileURL)`

    - ### Methods inherited from class org.eclipse.rdf4j.query.parser.sparql.manifest.SPARQLSyntaxComplianceTest

      `runTest`

    - ### Methods inherited from class org.eclipse.rdf4j.query.parser.sparql.manifest.SPARQLComplianceTest

      `addIgnoredTest, compareGraphs, getDisplayName, getIgnoredTests, getName, getTestURI, includeSubManifest, printBindingSet, setIgnoredTests, test, upload, uploadDataset`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SPARQL11SyntaxComplianceTest

          public SPARQL11SyntaxComplianceTest(String displayName,
                                              String testURI,
                                              String name,
                                              String queryFileURL,
                                              boolean positiveTest)

  - ### Method Detail

    - #### data

          public static Collection<Object[]> data()

    - #### parseOperation

          protected abstract ParsedOperation parseOperation(String operation,
                                                            String fileURL)
                                                     throws MalformedQueryException

      Specified by:
        `parseOperation` in class `SPARQLSyntaxComplianceTest`
      Throws:
        `MalformedQueryException`

    - #### getDataRepository

          protected Repository getDataRepository()

      Specified by:
        `getDataRepository` in class `SPARQLComplianceTest`

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.